Closed Bug 1595388 Opened 3 months ago Closed 3 months ago

SVG rendering broken on https://starcove.com/login

Categories

(Core :: Graphics: WebRender, defect, P3)

72 Branch
Desktop
All
defect

Tracking

()

VERIFIED FIXED
mozilla73
Tracking Status
firefox-esr68 --- unaffected
firefox70 --- wontfix
firefox71 --- wontfix
firefox72 --- verified
firefox73 --- verified

People

(Reporter: Arcturus66, Assigned: jrmuizel)

References

(Regression, )

Details

(Keywords: correctness, regression, testcase)

Attachments

(3 files, 1 obsolete file)

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:72.0) Gecko/20100101 Firefox/72.0

Steps to reproduce:

Go to https://starcove.com/login

Actual results:

The name of the website is not displayed properly. There are missing letters.

Expected results:

The name of the website in svg should be displayed properly.

OS: Unspecified → Windows 10
Hardware: Unspecified → x86_64

I'm using a Nvidia RTX 2070 with drivers 441.12 (last release).

Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:72.0) Gecko/20100101 Firefox/72.0
20191109093718

The issue indeed goes away after disabling WebRender and restarting. The rendering is also broken in the current release (only the letter S is visible), so not a recent regression.

Status: UNCONFIRMED → NEW
Has STR: --- → yes
Component: Untriaged → Graphics: WebRender
Ever confirmed: true
Product: Firefox → Core

mozregression --good 2019-06-01 --bad 2019-11-09 --pref gfx.webrender.all:true -a https://starcove.com/login

8:21.96 INFO: Last good revision: 11dc1c09bb580dfec90d93bfdf2fae386f670d0e
8:21.96 INFO: First bad revision: ba22d4def27fcbfe82f102f9562fd25eb1b4f7b2
8:21.96 INFO: Pushlog:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=11dc1c09bb580dfec90d93bfdf2fae386f670d0e&tochange=ba22d4def27fcbfe82f102f9562fd25eb1b4f7b2

ba22d4def27fcbfe82f102f9562fd25eb1b4f7b2 Jeff Muizelaar — Bug 1539702. Improve CreateClippedDrawTarget API r=jwatt,rhunt

Has Regression Range: --- → yes
Flags: needinfo?(jmuizelaar)
OS: Windows 10 → All
Regressed by: 1539702
Hardware: x86_64 → Desktop
Summary: SVG rendering broken with Webrender → SVG rendering broken on https://starcove.com/login
Priority: -- → P3
Assignee: nobody → jmuizelaar
Flags: needinfo?(jmuizelaar)
Flags: needinfo?(jmuizelaar)
Attached file Reduced test case (obsolete) —
Flags: needinfo?(jmuizelaar)
Attached file More reduced

This is perhaps a weird filter/mask interaction

Attachment #9108132 - Attachment is obsolete: true
Status: NEW → ASSIGNED
Keywords: testcase

Using Rect() will work properly when mDrawTarget does not have 0,0
origin. It also makes the code's intention more clear.

Pushed by jmuizelaar@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e02c0652dd43
Use mDrawTarget->Rect() instead of Size(). r=mstange

Backed out changeset e02c0652dd43 (bug 1595388) for reftest failures on filter-in-mask.html

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception%2Crunnable&revision=e02c0652dd43ff3aa0bf61f8f8f2a80b79dd6eb3&selectedJob=278846346

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=278846346&repo=autoland&lineNumber=104210

[task 2019-11-30T02:31:35.332Z] 02:31:35 INFO - REFTEST TEST-START | file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask.html == file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask-ref.html
[task 2019-11-30T02:31:35.333Z] 02:31:35 INFO - REFTEST TEST-LOAD | file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask.html | 464 / 479 (96%)
[task 2019-11-30T02:31:35.352Z] 02:31:35 INFO - ++DOMWINDOW == 58 (0000019567FA9400) [pid = 7780] [serial = 1128] [outer = 0000019555DCA7A0]
[task 2019-11-30T02:31:35.394Z] 02:31:35 INFO - REFTEST TEST-LOAD | file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask-ref.html | 464 / 479 (96%)
[task 2019-11-30T02:31:35.399Z] 02:31:35 INFO - --DOMWINDOW == 57 (000001955C415000) [pid = 7780] [serial = 1090] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.399Z] 02:31:35 INFO - --DOMWINDOW == 56 (0000019567F4C800) [pid = 7780] [serial = 1089] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-mask-01-ref.svg]
[task 2019-11-30T02:31:35.404Z] 02:31:35 INFO - ++DOMWINDOW == 57 (000001955BEA0800) [pid = 7780] [serial = 1129] [outer = 0000019555DCA7A0]
[task 2019-11-30T02:31:35.443Z] 02:31:35 INFO - --DOMWINDOW == 56 (0000019567D0F800) [pid = 7780] [serial = 1088] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-mask-01.svg]
[task 2019-11-30T02:31:35.444Z] 02:31:35 INFO - --DOMWINDOW == 55 (00000195678D2400) [pid = 7780] [serial = 1085] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-stroke-01.svg]
[task 2019-11-30T02:31:35.444Z] 02:31:35 INFO - --DOMWINDOW == 54 (00000195678C3800) [pid = 7780] [serial = 1084] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.445Z] 02:31:35 INFO - --DOMWINDOW == 53 (00000195678BDC00) [pid = 7780] [serial = 1083] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-link.html]
[task 2019-11-30T02:31:35.446Z] 02:31:35 INFO - --DOMWINDOW == 52 (0000019564754400) [pid = 7780] [serial = 1082] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.447Z] 02:31:35 INFO - --DOMWINDOW == 51 (000001955C29F800) [pid = 7780] [serial = 1081] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-fill-01-ref.svg]
[task 2019-11-30T02:31:35.447Z] 02:31:35 INFO - --DOMWINDOW == 50 (000001955C412C00) [pid = 7780] [serial = 1080] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-fill-01.svg]
[task 2019-11-30T02:31:35.448Z] 02:31:35 INFO - --DOMWINDOW == 49 (000001955C2A6C00) [pid = 7780] [serial = 1079] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.449Z] 02:31:35 INFO - --DOMWINDOW == 48 (000001955C21E000) [pid = 7780] [serial = 1078] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-filter-01-ref.svg]
[task 2019-11-30T02:31:35.449Z] 02:31:35 INFO - --DOMWINDOW == 47 (000001955BE9F000) [pid = 7780] [serial = 1076] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.450Z] 02:31:35 INFO - --DOMWINDOW == 46 (0000019564E7A800) [pid = 7780] [serial = 1075] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-clipPath-01-ref.svg]
[task 2019-11-30T02:31:35.450Z] 02:31:35 INFO - --DOMWINDOW == 45 (0000019564E79C00) [pid = 7780] [serial = 1074] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-clipPath-01.svg]
[task 2019-11-30T02:31:35.451Z] 02:31:35 INFO - --DOMWINDOW == 44 (0000019564E78C00) [pid = 7780] [serial = 1073] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.451Z] 02:31:35 INFO - --DOMWINDOW == 43 (000001955C4E2C00) [pid = 7780] [serial = 1072] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-marker-01-ref.svg]
[task 2019-11-30T02:31:35.451Z] 02:31:35 INFO - --DOMWINDOW == 42 (00000195678BD400) [pid = 7780] [serial = 1086] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-stroke-01-ref.svg]
[task 2019-11-30T02:31:35.452Z] 02:31:35 INFO - --DOMWINDOW == 41 (0000019567D11000) [pid = 7780] [serial = 1087] [outer = 0000000000000000] [url = data:text/html;charset=UTF-8,%3C%21%2D%2DCLEAR%2D%2D%3E]
[task 2019-11-30T02:31:35.452Z] 02:31:35 INFO - --DOMWINDOW == 40 (000001955C475800) [pid = 7780] [serial = 1091] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/userSpaceOnUse-and-pattern-01.svg]
[task 2019-11-30T02:31:35.452Z] 02:31:35 INFO - --DOMWINDOW == 39 (000001955C221400) [pid = 7780] [serial = 1077] [outer = 0000000000000000] [url = file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/use-localRef-filter-01.svg]
[task 2019-11-30T02:31:35.551Z] 02:31:35 INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask.html == file:///Z:/task_1575078386/build/tests/reftest/tests/layout/reftests/svg/filter-in-mask-ref.html | image comparison, max difference: 16, number of differing pixels: 94

Backout: https://hg.mozilla.org/integration/autoland/rev/515e230888e4a035a4f3fce615e4acdffd4b7657

Flags: needinfo?(jmuizelaar)

Hi,

This issue is also reproducible on latest Nightly 73.0a1 (2019-12-02), so I will update the flag accordingly.

Pushed by jmuizelaar@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e9c60f90975a
Use mDrawTarget->Rect() instead of Size(). r=mstange
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla73
Flags: needinfo?(jmuizelaar)

Verified - fixed on latest Nightly 73.0a1 (2019-12-04) (Build id: 20191204095640) on Windows 10.

Comment on attachment 9112648 [details]
Bug 1595388. Use mDrawTarget->Rect() instead of Size().

Beta/Release Uplift Approval Request

  • User impact if declined: Incorrect SVG rendering in some cases with WebRender on
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: Yes
  • Needs manual test from QE?: No
  • If yes, steps to reproduce:
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): A one-line change that is pretty obviously correct.
  • String changes made/needed:
Attachment #9112648 - Flags: approval-mozilla-beta?
Flags: in-testsuite+

Comment on attachment 9112648 [details]
Bug 1595388. Use mDrawTarget->Rect() instead of Size().

simple gfx regression fix, verified in nightly, approved for 72.0b3

Attachment #9112648 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

Verified - fixed on latest Beta 72.0b3 (Build id: 20191205201734) using Windows 10, WebRender on.

I confirm this is fixed. Thanks :)

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.